> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Rewards assets overview

> Get comprehensive analytics for reward assets including claims, redemptions, distribution sources, and time series data



## OpenAPI

````yaml /openapi/analytics.json get /rewards/stats/assets/overview
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /rewards/stats/assets/overview:
    get:
      tags:
        - Reward
      summary: Rewards assets overview
      description: >-
        Get comprehensive analytics for reward assets including claims,
        redemptions, distribution sources, and time series data
      operationId: getAssetsOverview
      parameters:
        - in: query
          name: communityId
          schema:
            type: string
        - in: query
          name: rewardId
          schema:
            type: string
        - in: query
          name: startDate
          schema:
            type: string
        - in: query
          name: endDate
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      totalAssetsClaimed:
                        type: number
                      totalAssetsRedeemed:
                        type: number
                      redemptionRate:
                        type: number
                      averageTimeToRedeemHours:
                        type: number
                      expiringWithin7Days:
                        type: number
                      expiredUnredeemed:
                        type: number
                      totalUniqueUsers:
                        type: number
                    required:
                      - totalAssetsClaimed
                      - totalAssetsRedeemed
                      - redemptionRate
                      - averageTimeToRedeemHours
                      - expiringWithin7Days
                      - expiredUnredeemed
                      - totalUniqueUsers
                  distributionBySource:
                    type: array
                    items:
                      type: object
                      properties:
                        source:
                          type: string
                        count:
                          type: number
                        percentage:
                          type: number
                      required:
                        - source
                        - count
                        - percentage
                  redemptionFunnel:
                    type: array
                    items:
                      type: object
                      properties:
                        stage:
                          type: string
                        count:
                          type: number
                      required:
                        - stage
                        - count
                  timeseries:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        claims:
                          type: number
                        redemptions:
                          type: number
                        expirations:
                          type: number
                      required:
                        - date
                        - claims
                        - redemptions
                        - expirations
                  topAssets:
                    type: array
                    items:
                      type: object
                      properties:
                        rewardId:
                          type: string
                        title:
                          type: string
                        claims:
                          type: number
                        redemptionRate:
                          type: number
                      required:
                        - rewardId
                        - title
                        - claims
                        - redemptionRate
                required:
                  - summary
                  - distributionBySource
                  - redemptionFunnel
                  - timeseries
                  - topAssets
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````